/*
 * boot_sign.c
 * 
 * ブートセクターにブートサインを書き込む
 */


#include<unistd.h>
#include<stdio.h>
#include<fcntl.h>
#include<sys/stat.h>


int main(int argc,char *argv[])
{
	int fd;
	short sign=0xaa55;		/* ブートサイン */


	if((fd=open("/dev/fd0",O_RDWR))==-1){printf("Fail open floppy disk\n");exit(0);}
	lseek(fd,510,SEEK_SET);
	write(fd,&sign,2);

	exit(0);
}
